# 
# RiskScape™ Copyright New Zealand Institute for Earth Science Limited
# (Earth Sciences New Zealand) is distributed for research purposes only
# under the terms of AGPLv3.
# 
# RiskScape™ Copyright 2026 New Zealand Institute for Earth Science
# Limited (Earth Sciences New Zealand). All rights reserved. Source code
# available under the AGPLv3.
# 
# This program is free software: you can redistribute it and/or modify it under
#  the terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option) any
#  later version.
# 
# This program is distributed for RESEARCH PURPOSES ONLY, in the hope that it will
# be useful for research and education initiatives.
# 
# If you are not a researcher, or you are a researcher who wishes to use this
# program on terms other than AGPLv3 (including those who wish to restrict the
# distribution of any source code created using this program), please contact:
# https://riskscape.org.nz
# 
# This program is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.  You should have received a copy
# of the GNU Affero General Public License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.
# 
# By way of summary only, under the AGPLv3:
#     • Permissions of this strongest copyleft license are conditioned
#       on making available complete source code of licensed works and
#       modifications, which include larger works using a licensed work,
#       under the same license.
#     • Copyright and license notices must be preserved.
#     • Contributors provide an express grant of patent rights.
#     • When a modified version is used to provide a service over a
#       network, the complete source code of the modified version must be made
#       available.
# 
nz.org.riskscape.postgis.PostGISResolver.params.location = \
  The location of the PostGIS database in the form `postgis://USER@DB_HOST[:PORT]/DATABASE`. \

nz.org.riskscape.postgis.PostGISResolver.params.user = \
  The user to connect to the database host as.  Can be specified in the location \
  like `postgis://USER@HOST`

nz.org.riskscape.postgis.PostGISResolver.params.database = \
  The database to connect to.  Can be specified in the location like `postgis://HOST/DATABASE`

nz.org.riskscape.postgis.PostGISResolver.params.passwd = \
  The password to use when authenticating against the database. \
  Can be specified in the location like `postgis://USER:PASSWORD@HOST`. \
  Note that storing passwords either of these ways is insecure. Instead \
  the password should be set into an environment variable `PGPASSWORD`.

nz.org.riskscape.postgis.PostGISResolver.params.port = \
  The port that database host listens on.  Can be specified in the location like \
  `postgis://HOST:PORT
